<h1>Activities</h1>

<div class="mat-elevation-z8">
  <table mat-table class="full-width-table" [dataSource]="dataSource" matSort aria-label="Elements">
    <!-- Id Column -->
    <ng-container matColumnDef="id">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Activity ID</th>
      <td mat-cell *matCellDef="let row">{{row.id}}</td>
    </ng-container>

    <!-- Img Column -->
    <ng-container matColumnDef="image">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>image</th>
      <td mat-cell *matCellDef="let row"><img src="favicon.ico"></td>
    </ng-container>

    <!-- Name Column -->
    <ng-container matColumnDef="name">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Activity Name</th>
      <td mat-cell *matCellDef="let row">{{row.name}}</td>
    </ng-container>

    <!-- description Column -->
    <ng-container matColumnDef="description">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Description</th>
      <td mat-cell *matCellDef="let row">{{row.description}}</td>
    </ng-container>

    <!-- courseId Column -->
    <ng-container matColumnDef="courseId">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Course Id</th>
      <td mat-cell *matCellDef="let row">{{row.courseId}}</td>
    </ng-container>

    <!-- startDate Column -->
    <ng-container matColumnDef="startDate">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Start Date</th>
      <td mat-cell *matCellDef="let row">{{row.startDate}}</td>
    </ng-container>

    <!-- dueDate Column -->
    <ng-container matColumnDef="dueDate">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Due Date</th>
      <td mat-cell *matCellDef="let row">{{row.dueDate}}</td>
    </ng-container>

    <!-- pointsPossible Column -->
    <ng-container matColumnDef="pointsPossible">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Points Possible</th>
      <td mat-cell *matCellDef="let row">{{row.pointsPossible}}</td>
    </ng-container>

    <!-- isGradable Column -->
    <ng-container matColumnDef="isGradable">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Is Gradable</th>
      <td mat-cell *matCellDef="let row">{{row.isGradable}}</td>
    </ng-container>

    <!-- createdAt Column -->
    <ng-container matColumnDef="createdAt">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Created At</th>
      <td mat-cell *matCellDef="let row">{{row.createdAt}}</td>
    </ng-container>

    <!-- isActive Column -->
    <ng-container matColumnDef="isActive">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Is Active</th>
      <td mat-cell *matCellDef="let row">{{row.isActive}}</td>
    </ng-container>
    
    <!-- updatedAt Column -->
    <ng-container matColumnDef="updatedAt">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Updated At</th>
      <td mat-cell *matCellDef="let row">{{row.updatedAt}}</td>
    </ng-container>

    <!-- Edit Column -->
    <ng-container matColumnDef="edit">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Edit</th>
      <td mat-cell *matCellDef="let row"><admin-activity-sub-menu [activity]="row"></admin-activity-sub-menu></td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>

  <mat-paginator #paginator
                 [length]="dataSource.total"
                 [pageIndex]="0"
                 [pageSize]="50"
                 [pageSizeOptions]="[25, 50, 100, 250]">
  </mat-paginator>
</div>
